High Prefect Drikus:
Orc Shamans have the blessing of Paagrio, God of Fire, and are able to perform miracles with fire. They bless warriors going into battle to strengthen their allies' attack skills, while placing curses to cripple and hinder their enemies. They are the pride of the Orcs. Their works become far stronger when they act in concert with other Shamans.
Many of the Shamans who have the highest qualifications become Chief candidates and are called Overlords. Only Shamans can become Overlords. Certain Shamans are also selected as Warcryers and learn even stronger spells.
Hear about changing occupation to an Orc Shaman
Change occupation to an Orc Shaman
Return